Name:		kanyremote
Version:	8.1
Release:	%mkrel 1
Summary:	KDE frontend for anyRemote Wireless remote control program
License:	GPLv2+
Group:		Graphical desktop/KDE
URL:		http://kde-apps.org/content/show.php/kAnyRemote?content=45047
Source0:	http://downloads.sourceforge.net/anyremote/%{name}-%{version}.tar.gz
BuildArch:	noarch
Requires:	python3-qt5-core
Requires:	python3-qt5-gui
Requires:	python3-qt5-widgets
Requires:	python3dist(pybluez) >= 0.9.1
Requires:	anyremote >= 6.5
BuildRequires:	desktop-file-utils

%description
KDE front-end for anyremote Wireless remote control program.

%prep
%setup -q

%build
%configure --build=%{_host}
%make_build

%install
%make_install

desktop-file-install --vendor="%{_real_vendor}" \
 --dir=%{buildroot}%{_datadir}/applications \
 --remove-category='Utility' \
 --add-category='System' \
 --add-category="KDE" \
 --add-category='Qt' \
 --add-category='HardwareSettings' \
 --add-category='X-Mageia-CrossDesktop' \
 --remove-key='X-Desktop-File-Install-Version' \
 --remove-key='Encoding' \
 --remove-key='OnlyShowIn' \
 %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %name

%files -f %name.lang
%doc AUTHORS ChangeLog README
%license COPYING
%{_bindir}/*
%{_docdir}/%{name}/
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop
%{_datadir}/appdata/%{name}.appdata.xml


%changelog
* Thu Nov 19 2020 daviddavid <daviddavid> 8.1-1.mga8
+ Revision: 1647596
- new version: 8.1

* Sat Feb 15 2020 umeabot <umeabot> 8.0-2.mga8
+ Revision: 1526946
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jul 06 2019 daviddavid <daviddavid> 8.0-1.mga8
+ Revision: 1419089
- new version: 8.0
- port to python3

* Thu Sep 20 2018 umeabot <umeabot> 6.4-2.mga7
+ Revision: 1279176
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 daviddavid <daviddavid> 6.4-1.mga7
+ Revision: 1220967
- new version: 6.4
- move to Qt5

* Sat Feb 20 2016 umeabot <umeabot> 6.3.5-2.mga6
+ Revision: 972097
- Mageia 6 Mass Rebuild

* Mon Oct 26 2015 daviddavid <daviddavid> 6.3.5-1.mga6
+ Revision: 895554
- new version: 6.3.5

* Wed Oct 15 2014 umeabot <umeabot> 6.3.3-3.mga5
+ Revision: 746317
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.3.3-2.mga5
+ Revision: 680925
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 bersuit <bersuit> 6.3.3-1.mga5
+ Revision: 669559
- Update to new Upstream version 6.3.3

* Fri Dec 06 2013 bersuit <bersuit> 6.3.2-1.mga4
+ Revision: 555537
- Update to new upstream version 6.3.2

* Mon Oct 21 2013 umeabot <umeabot> 6.3.1-2.mga4
+ Revision: 536915
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 bersuit <bersuit> 6.3.1-1.mga4
+ Revision: 485650
- Update to new upstream release 6.3.1

* Sun Aug 25 2013 juancho <juancho> 6.3-1.mga4
+ Revision: 471696
- Updated to 6.3

* Thu Jun 13 2013 fwang <fwang> 6.2-1.mga4
+ Revision: 442281
- new version 6.2

* Sat Jan 12 2013 umeabot <umeabot> 6.1-2.mga3
+ Revision: 355808
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 fwang <fwang> 6.1-1.mga3
+ Revision: 307374
- new version 6.1

* Wed Sep 19 2012 fwang <fwang> 6.0.1-1.mga3
+ Revision: 296025
- new version 6.0.1

* Thu Jun 14 2012 juancho <juancho> 6.0-1.mga3
+ Revision: 260648
- Updated to 6.0

* Thu Dec 15 2011 juancho <juancho> 5.13-1.mga2
+ Revision: 181791
- Fixed install of desktop file.
- imported package kanyremote

